/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/remote/RemoteObjectFactoryRequest.java#1 $
 * 
 * Copyright (c) 2008 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.remote;

import com.netapp.common.remote.jvm.JvmLaunchCommand;
import com.netapp.common.remote.jvm.JvmLauncher;

/**
 * @author claird
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public class RemoteObjectFactoryRequest {

    private JvmLauncher jvmLauncher;

    public RemoteObjectFactoryRequest(JvmLauncher jvmLauncher) {
        super();
        this.jvmLauncher = jvmLauncher;
    }

    public JvmLauncher getJvmLauncher() {
        return this.jvmLauncher;
    }
    
    public JvmLaunchCommand createJvmLaunchCommand(String... args) {
        JvmLaunchCommand command = new JvmLaunchCommand(RemoteObjectFactoryImpl.class.getName(), args);
        return command;
    }
}
