/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/text/SubstitutionPatternContext.java#1 $
 *
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.text;

/**
 * Context from which variable values are retrieved when
 * rendering a {@link SubstitutionPattern}.
 * 
 * @author philipc
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public interface SubstitutionPatternContext {
    
    /**
     * Returns the value of the given variable.
     * 
     * @param variableName the variable for which to return the value
     * @return the value of the given variable.
     */
    String getValue(String variableName);

}
